Bug 147837 - [PATCH] devel/boost-python-libs: remove unnecessary dependency
[PATCH] devel/boost-python-libs: remove unnecessary dependency
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 18:30 UTC by sunpoet
Modified: 2010-06-22 17:00 UTC (History)
1 user (show)

See Also:


Attachments
boost-python-libs-1.43.0.patch (732 bytes, patch)
2010-06-13 18:30 UTC, sunpoet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sunpoet 2010-06-13 18:30:01 UTC
devel/boost-python-libs does not require devel/py-elementtree.
py-elementtree is required by devel/boost-pyste only.

Port maintainer (churanov.port.maintainer@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-06-13 18:30:10 UTC
Maintainer of devel/boost-python-libs,

Please note that PR ports/147837 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147837

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-13 18:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rene Ladan freebsd_committer 2010-06-13 19:51:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 4 alexanderchuranov 2010-06-16 13:57:34 UTC
I approve the patch.

I've verified that if the patch is applied, then boost-python-libs
builds successfully. I've also verified that a single dependent port
devel/luabind builds successfully with the patched boost-python-libs.

Alexander Churanov,
maintainer of devel/boost-*
Comment 5 dfilter freebsd_committer 2010-06-22 16:55:29 UTC
rene        2010-06-22 15:55:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-python-libs Makefile 
  Log:
  Remove a superfluous dependency.
  
  PR:             ports/147837
  Submitted by:   Sunpoet Po-Chuan Hsieh [sunpoet sunpoet.net]
  Approved by:    maintainer, tabthorpe (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.8       +0 -2      ports/devel/boost-python-libs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Rene Ladan freebsd_committer 2010-06-22 16:55:30 UTC
State Changed
From-To: feedback->closed

Committed, thanks